/* *************************************************************
   STILI GLOBALI
   ************************************************************* */
::selection{ background-color: #E13300; color: white; }
::moz-selection{ background-color: #E13300; color: white; }
::webkit-selection{ background-color: #E13300; color: white; }

* {
  user-select: none;
  -moz-user-select: none;
  -webkit-user-select: none;
  -ms-user-select: none;
}


body {
    background-color: #ffffff;
    font-family: "Helvetica Neue", Helvetica, Arial, Tahoma, Verdana, Arial, sans-serif;
    margin: 0px;
    overflow-x: hidden;
}

.butt {
	width: 30px;
	white-space: nowrap;
}

.ord {
	width: 60px;
}

.btn-primary {
    color: #fff;
    background-color: #393d3c;
    border-color: #999;
}

.glyphicon-navbar {
    position: relative;
    display: inline-block;
    font-family: 'Glyphicons Halflings';
    font-style: normal;
    font-weight: normal;
    margin-right: 5px;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
}

.fa-solid  {
    position: relative;
    display: inline-block;
    margin-right: 5px;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
}

.navbar-brand {
    background-image: url(../img/logo.png);
    background-size: contain;
    background-repeat: no-repeat;
    background-position: top left;
    height: 80px !important;
    width: 80px !important;
    min-width: 50px !important;
    margin-left: -15px !important;
    z-index: 2000;
}

.navbar-default .navbar-nav>.open>a, 
.navbar-default .navbar-nav>.open>a:focus {
    background-color: #58b0c4;
    color: #000;
}

.navbar-default {
    background-color: #393d3c;
}

.navbar-default .navbar-nav>.active>a, 
.navbar-default .navbar-nav>.active>a:focus {
   background-color: #58b0c4;
   color: #000;
}

.navbar-default .navbar-nav>li>a:hover {
    color: #58b0c4 !important;
}


.navbar-default .navbar-nav>.open>a:hover, 
.navbar-default .navbar-nav>.active>a:hover, 
.navbar-default .navbar-nav>.active>a:hover {
    color: #000 !important;
}

.navbar-nav>li>a {
    padding-left: 20px;
    padding-right: 20px;
    padding-top: 10px;
    padding-bottom: 10px;
    line-height: 60px;
}

.navbar {
    background-color: #393d3c;
}

.navbar-default .navbar-nav>li>a {
    color: #fff;
    background-color: #393d3c;
}

.welcome  {
	position: absolute;
	top: 100px;
	left: 50%;
	-ms-transform: translateX(-50%);
	transform: translateX(-50%);
	width: 80%;
	height: 50%;
	text-align: center;
	background-image: url(../img/logo_homepage.png);
	background-repeat: no-repeat;
	background-size: contain;
	background-position: center center;
}


.welcome p{
    position:absolute;
    top: 50%;
    left:0;
    width: 100%;
    text-align: center;
    vertical-align: middle;
    color: #014b92;
    font-size: 3vw;
    font-weight: bold;
    -ms-transform: translateY(100%);
    transform: translateY(100%);
}

.treeview {
	height: 100%;
}

#treeview {
    padding-inline-start: 10px;
}

#treeview, #treeview ul {
    list-style: none;
}
  
#treeview .parent {
	position: relative;
	line-height: 35px;
	cursor: pointer; 
	margin-bottom: 15px;
}

#treeview .single {
 	margin-bottom: 15px;
}

#treeview ul > li:hover {
    background-color: #eeeeee;
}

#treeview .parent:before {
	/*
	padding-left: 25px;
	background: url(../img/plus-minus.png) no-repeat;
	background-position: -25px top;
	*/
	content: "";
	line-height: 35px;
}

#treeview .chiudi:before {
	background-position: 0 top !important;
}

#treeview .parent > ul {
	display: none;
}

#treeview li.odd {
    background-color: #f9f9f9;
}
#treeview li.even {
    background-color: #ffffff;
}

.list-group-item.active, .list-group-item.active:hover, .list-group-item.active:focus {
    z-index: 2;
    color: #fff;
    background-color: #999 !important;
    border-color: #999;
}

#modaleProgressBar {
    display:none;
    margin:auto;
    position: fixed;
    left: 0px;
    top:0px;
    width: 100%;
    height: 100%;
    background: transparent url(../img/loading.gif) center center no-repeat;
    background-color: rgba(255,255,255,0.8);
    z-index: 12000;
}

#sezione_filtri_dati{
    position: absolute;
    left:50%;
    right:0px;
    width: 90vw;
    min-width: 88%;
    padding: 15px;
    -ms-transform: translateX(-50%);
    transform: translateX(-50%);
}

#sez_filtri_dati{
    padding: 15px;
}

#sezione_filtri{
    /*min-height:70px;*/
    overflow: hidden;
    /*background-color: pink;*/
    margin-top:10px;

}

#netErr {
  position: absolute;
  right:10px;
  bottom: 45px;
  width: 30px;
  display: none;
}

#sezione_dati{ min-height: 100px; clear:both;}

#sezione_dati td,
#sezione_dati th{ font-size: 8.5pt;}

#grid_container{ font-size: 8.5pt; }

.pagination { margin: 0px 0 !important;}

.container { width: 100vw !important }

.sr-only {
    border: 0 none;
    clip: rect(0px, 0px, 0px, 0px);
    height: 8px;
    margin: -1px;
    overflow: hidden;
    padding: 0;
    position: absolute;
    width: 1px;
}

.typeahead {
    border-radius: 4px;
    margin-top: 2px;
    z-index:10000;
}

.table {
    margin-top: 2vh;
}

table.elenco tr.configura {
    font-size: 150%;
    background-color: #7b7a7a;
    color: #ffffff;
}

table.table-striped > tbody > tr:nth-child(odd) {
    background-color: #f9f9f9;
}

table.table-striped > tbody > tr:hover {
  background-color: #f0f0f0;
}

#input tr{
    border-bottom: solid 1px #e0e0e0;
    vertical-align:top;
    white-space:nowrap;
    padding:10px;
}

#input td{
    font-size: 1.2em;
    font-family:Trebuchet MS, Tahoma, Verdana, Arial, sans-serif;
    text-align:left;
    vertical-align:top;
    padding:10px;
    margin-left:0px;
    border-bottom: solid 1px white;
}

#fltCerca,
#fltReset {
    margin-left:2px;
    padding: 5px 10px;
    width: 4vw;
    min-width: 100px;
}

.fltSelect {
    width: fit-content !important;
    height:34px !important;
    margin-right:5px;
    margin-left:0px;
}

select, .fltText{
    height:34px !important;
    width: 100%;
    margin-right:8px;
    margin-left:0px;
}

select {
    width: fit-content;
}

.fltDivContainer {
  float:left;
  padding-right: 10px;
  /* margin-right: 5px;*/
}

.fltBottoni{
    width:180px;
    margin-bottom:5px;
    margin-left:0px;
    margin-right:0px;
}

.sezBottoni{
    /*
    clear:both;
    padding-top:10px;"
    */
    float:left;
    z-index: 1000;
}

fieldset{
    width:200px;
    float:left;
}

legend{    font-size:10pt;}

.modal-body{ min-height:450px; }

.bold { font-weight: bold; line-height: 34px;}
.normal { font-weight: normal; line-height: 34px;}
.odd { background-color: #f9f9f9; }
.even { background-color: #ffffff; }

i.active { color: #008800; }

i.inactive { color: #880000 !important; }

/******* MARGINS TOP ********/
.t1 {
  margin-top: 4px;
}

.t2 {
  margin-top: 4px;
}

.t3 {
  margin-top: 4px;
}

.t4 {
  margin-top: 4px;
}

.t5 {
  margin-top: 5px;
}

.t10 {
  margin-top: 10px;
}

.t15 {
  margin-top: 15px;
}
.t20 {
  margin-top: 20px;
}

.t30 {
  margin-top: 30px;
}
/******* BOTTOM MARGINS ********/
.b1 {
  margin-bottom: 4px;
}

.b2 {
  margin-bottom: 4px;
}

.b3 {
  margin-bottom: 4px;
}

.b4 {
  margin-bottom: 4px;
}

.b5 {
  margin-bottom: 5px;
}

.b10 {
  margin-bottom: 10px;
}

.b15 {
  margin-bottom: 15px;
}

.b20 {
  margin-bottom: 20px;
}

.b30 {
  margin-bottom: 30px;
}
/***************************/
/******* LEFT MARGINS ********/
.l1 {
  margin-left: 1px;
}

.l2 {
  margin-left: 2px;
}

.l3 {
  margin-left: 3px;
}

.l4 {
  margin-left: 4px;
}

.l5 {
  margin-left: 5px;
}

/******* RIGHT MARGINS ********/
.r1 {
  margin-right: 1px;
}

.r2 {
  margin-right: 2px;
}

.r3 {
  margin-right: 3px;
}

.r4 {
  margin-right: 4px;
}

.r5 {
  margin-right: 5px;
}

.r10 {
  margin-right: 10px;
}

.r15 {
  margin-right: 15px;
}

.r20 {
  margin-right: 20px;
}

.r30 {
  margin-right: 30px;
}
/***************************/

/************* STILI NORMATIVE ****************/
#files_list { background: #ffffff; }
#addfiles_list { background: #ffffff; }

/************* STILI LISTE ORDINABILI ****************/
#selectable .ui-selecting { background: #e3e5e8; }
#selectable .ui-selected { background: #e3e5e8; color: #5a87d8; }
#selectable { list-style-type: none; margin: 0; padding: 0; width: 99%; }
#selectable li { margin: 3px; padding: 0.2em; }
#selectable li > a { margin-left: 2px; margin-right: 2px; }
#addselectable .ui-selecting { background: #e3e5e8; }
#addselectable .ui-selected { background: #e3e5e8; color: #5a87d8; }
#addselectable { list-style-type: none; margin: 0; padding: 0; width: 99%; }
#addselectable li { margin: 3px; padding: 0.2em;  }
#addselectable li > a { margin-left: 2px; margin-right: 2px; }
.icon-invisible { visibility: hidden; }

/************* STILI ASSOCIAZIONI ****************/
#model_list { background: #ffffff; }

@media (max-width: 767px) {
    .form-control,
    .btn,
    #selectable  li,
    #addselectable  li { font-size: 8pt; }

    .form-control{ height: 30px; }

    .navbar>.container .navbar-brand,
    .navbar>.container-fluid .navbar-brand {
      margin-left: 5px !important;
    }

    .navbar-brand a {
      font-weight: bold;
      font-size: 15pt;
    }

    .fltBottoni { width: 100px; }

    h2, .h2 { font-size: 24px;}

    h3, .h3 { font-size: 18px;}

    .nav>li>a { padding: 5px 10px; }

    #sezione_dati td,
    #sezione_dati th{ font-size: 8pt;}

    #grid_container{ font-size: 7pt; }
}


::-webkit-scrollbar {
    width: 12px;
}

::-webkit-scrollbar-track {
    -webkit-box-shadow: inset 0 0 6px rgba(0,0,0,0.3);
    border-radius: 10px;
}

::-webkit-scrollbar-thumb {
    border-radius: 10px;
    -webkit-box-shadow: inset 0 0 6px rgba(0,0,0,0.5);
}


.boxModello{
    height:40px;
    border: 1px solid red;
    float:left;
    font-size:16pt;
}

.white{
    background-color:white;
}
.gray{
    background-color:gray;
}

.visibile{
    display: block;

}

.nonvisibile{
    display: none;
}

.glyphicon{
    font-size:12pt;
	color: #58b0c4;
}

span.glyphicon-off {
    font-size: 2em;
    color:red;
    border:2px solid red;
    padding:5px;
    width:80px;
}
span.glyphicon-wrench {
    font-size: 2em;
    color:green;
    border:2px solid green;
    padding:5px;
    width:80px;
}
span.glyphicon-asterisk {
    font-size: 2em;
    color:green;
    border:2px solid red;
    padding:5px;
    width:80px;
}
span > strong > cite{font-size:0.4em; font-weight:bold}

.divMap1{
    float:left;
}
.divMap2{
    float:left;
    padding:3px;
}

.imgMap1{

}

.totemdestri{
    color:green;
    font-size:14pt;
    font-weight:bold;
}

.totemdacollocare{
    font-size:9pt;
}

.dacollocaredescrizione{
    font-size:8pt;
}

#mdlInfoTotem{
    min-height:480px;
    min-width:520px;
}

#videoDaMostrare{
    float:left;
    min-height:420px;
    min-width:520px;
    margin-left: 0px;
    background-image:url(../img/monitor.jpg);
    background-repeat: no-repeat;
    background-position: top left;
}

#daMostrare{
    float:left;
    font-size:9pt;
    width:50%
}

#daMostrare > div{
    width:100%;
}

#daMostrare > div > div >table{
    width:100%;
}

.colonna{
    width:100px;
    text-align:left;
}

#mdlMap > .modal-lg > .modal-content{
    min-height: 580px;
}



@media (max-width: 1280px) {
	.navbar-brand {
		height: 50px !important;
		width: 50px !important;
		min-width: 50px !important;
	}
	.navbar-nav>li>a {
		padding-top: 15px;
		padding-bottom: 15px;
		line-height: 20px;
	}
	

	.welcome  {
		position: absolute;
		top: 100px;
		left: 50%;
		-ms-transform: translateX(-50%);
		transform: translateX(-50%);
		width: 60%;
		height: 30%;
		text-align: center;
		background-image: url(../img/logo_homepage.png);
		background-repeat: no-repeat;
		background-size: contain;
		background-position: center center;
	}
}